View Issue Details

IDProjectCategoryView StatusLast Update
0032812Open CASCADEOCCT:Codingpublic2022-02-05 17:22
Reportersmoskvin Assigned Toaml  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
Product Version7.7.0 
Target Version7.7.0 
Summary0032812: Coding - problem after integration 32806
DescriptionProblems of compilation on Debian80-64 and MacOS-x86_64 in debug mode
incomplete type 'TDataStd_Name' used in nested name specifier

http://jenkins-test-11.nnov.opencascade.com/view/CR0-WEEK-4_CR0-WEEK-4/view/OCCT%20compile/job/CR0-WEEK-4_CR0-WEEK-4-OCCT-Debian80-64-deb-compile/4/parsed_console/
http://jenkins-test-11.nnov.opencascade.com/view/CR0-WEEK-4_CR0-WEEK-4/view/OCCT%20compile/job/CR0-WEEK-4_CR0-WEEK-4-OCCT-MacOS-x86_64-deb-compile/3/parsed_console/
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032806 verifiedaml Coding - get rid of unused headers [Contap to Extrema] 

Activities

git

2022-01-31 07:02

administrator   ~0106677

Branch CR32812 has been created by aml.

SHA-1: 1eed3c78739f7b5baf94ea0a9f824682b6ea0d07


Detailed log of new commits:

Author: aml
Date: Mon Jan 31 07:01:49 2022 +0300

    0032812: Coding - problem after integration 32806

aml

2022-01-31 08:23

developer   ~0106679

Dear Kirill,

Please take a look at the CR32812 branch.

Jenkins job is:
http://jenkins-test-occt/view/CR32812-master-aml/view/ALL/

smoskvin

2022-02-05 15:31

administrator   ~0106752

Combination -
OCCT branch : IR-2022-02-04
master SHA - ae38730d3520fc8d0fbe4a3b9a97afd0cebe6df8
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-02-04 SHA - a5b54e979c07dce0b82803d56bc5a21ddfc8c739
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18587.970000000663 / 18543.660000000695 [+0.24%]
Products
Total CPU difference: 11726.350000000115 / 11695.81000000013 [+0.26%]
Windows-64-VC14:
OCCT
Total CPU difference: 20311.71875 / 20351.53125 [-0.20%]
Products
Total CPU difference: 13174.703125 / 13126.203125 [+0.37%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-05 17:22

administrator   ~0106766

Branch CR32812 has been deleted by mnt.

SHA-1: 1eed3c78739f7b5baf94ea0a9f824682b6ea0d07

Related Changesets

occt: master 1eed3c78

2022-01-31 07:01:49

aml

Details Diff
0032812: Coding - problem after integration 32806 Affected Issues
0032812
mod - src/DNaming/DNaming_Line3DDriver.cxx Diff File

Issue History

Date Modified Username Field Change
2022-01-29 12:36 smoskvin New Issue
2022-01-29 12:36 smoskvin Assigned To => aml
2022-01-29 20:09 kgv Relationship added child of 0032806
2022-01-29 20:09 kgv Product Version => 7.7.0
2022-01-31 06:56 aml Summary Problem after integration 32806 => Coding - problem after integration 32806
2022-01-31 07:02 git Note Added: 0106677
2022-01-31 08:23 aml Assigned To aml => kgv
2022-01-31 08:23 aml Note Added: 0106679
2022-01-31 08:33 aml Status new => resolved
2022-01-31 09:38 kgv Assigned To kgv => bugmaster
2022-01-31 09:38 kgv Severity minor => trivial
2022-01-31 09:38 kgv Status resolved => reviewed
2022-01-31 09:38 kgv Steps to Reproduce Updated
2022-01-31 09:38 kgv Test case number => N/A
2022-02-05 15:31 smoskvin Status reviewed => tested
2022-02-05 15:31 smoskvin Note Added: 0106752
2022-02-05 17:13 aml Changeset attached => occt master 1eed3c78
2022-02-05 17:13 aml Assigned To bugmaster => aml
2022-02-05 17:13 aml Status tested => verified
2022-02-05 17:13 aml Resolution open => fixed
2022-02-05 17:22 git Note Added: 0106766